summaryrefslogtreecommitdiff
path: root/test/integration/framework
diff options
context:
space:
mode:
Diffstat (limited to 'test/integration/framework')
-rw-r--r--test/integration/framework8
1 files changed, 8 insertions, 0 deletions
diff --git a/test/integration/framework b/test/integration/framework
index b0be3eaf1..2aed77d5b 100644
--- a/test/integration/framework
+++ b/test/integration/framework
@@ -1522,6 +1522,14 @@ msgfailoutput() {
msgfailoutputstatfile "$2" "$3"
done
echo '#### test output ####'
+ elif [ "$1" = 'cmp' ]; then
+ echo >&2
+ while [ -n "$2" ]; do
+ echo "#### Complete file: $2 ####"
+ cat >&2 "$2" || true
+ shift
+ done
+ echo '#### cmp output ####'
fi
cat >&2 "$OUTPUT"
msgfail "$MSG"